package test.org.seasar.dao;

import junit.framework.Test;
import junit.framework.TestSuite;
import test.org.seasar.dao.context.ContextAllTests;
import test.org.seasar.dao.dbms.DbmsAllTests;
import test.org.seasar.dao.id.IdAllTests;
import test.org.seasar.dao.impl.ImplAllTests;
import test.org.seasar.dao.interceptors.InterceptorsAllTests;
import test.org.seasar.dao.parser.ParserAllTests;
import test.org.seasar.dao.unit.UnitAllTests;

/**
 * @author higa
 *
 */
public class DaoAllTests extends TestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(DaoAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.dao");
		//$JUnit-BEGIN$
		suite.addTest(ContextAllTests.suite());
		suite.addTest(DbmsAllTests.suite());
		suite.addTest(IdAllTests.suite());
		suite.addTest(ImplAllTests.suite());
		suite.addTest(InterceptorsAllTests.suite());
		suite.addTest(ParserAllTests.suite());
		suite.addTest(UnitAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
